Subject: using telnet under NT emacs

From: Chris McMahan <[email-masked]>
Date: Thu, 3 Jul 1997 16:38:55 -0700 (PDT)

I went the the FAQ and downloaded the console Telnet application

http://www.cs.washington.edu:/homes/voelker/ntemacs/contrib/telnet.zip

placed the .exe file in my emacs/bin directory, and placed the
following line in my .emacs:

;;;; set up the telnet program
(setq telnet-program "d:/emacs/bin/telnet.exe")

I can use the telnet from within a shell by typing telnet <hostname>,
but I cannot get telnet mode to work. I'm getting the error:

 > writing to process: invalid argument, telnet-silicon
(silicon is the hostname).

I've gone to the telnet.el and (using my LIMITED lisp knowledge)
figured out that the lisp launches the telnet program then executes an
open <hostname> command.

The problem is that this telnet app will not start without a host name
specified on the command line. If one just types telnet, this error
appears:

 > [4:37pm]g:/Mail> telnet
 > Usage: (null) <switches> <parameters>
 > 
 > Switches:

Anybody have this working? Is there an inherent advantage to using
telnet mode rather than just telnetting from the shell mode?

Any help would be most appreciated!

Thanks!
Chris McMahan
-- 
                  ,,,
                 (0 0)
  +--------oOO----(_)---------------+
  |          Chris McMahan          |
  |     [email-masked]    |
  |     Teknowledge Corporation     |
  |    http://www.teknowledge.com   |
  |      (415) 424-0500 x488        |
  +----------------------oOO--------+ 
      42.7% of all statistics are 
      made up on the spot.